Bug 2089012 - Microphone does not work >= 5.17.7
Summary: Microphone does not work >= 5.17.7
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 36
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-05-22 13:06 UTC by Helio Victor
Modified: 2023-05-25 17:04 UTC (History)
20 users (show)

Fixed In Version:
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-05-25 17:04:43 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)
logs (85.04 KB, text/plain)
2022-05-22 13:06 UTC, Helio Victor
no flags Details
Screenshot of Input Device that detects sound (339.32 KB, image/png)
2022-05-24 08:14 UTC, Jan Vlug
no flags Details

Description Helio Victor 2022-05-22 13:06:43 UTC
Created attachment 1882045 [details]
logs

From the 5.17.7 kernel the microphone doesn't work anymore, nothing I tried makes it work again. I need to boot with the 5.17.6 kernel for it to work properly. I use a JBL T205 headset

Comment 1 Mike Iglesias 2022-05-23 23:23:53 UTC
I'm seeing this too, but with various 5.17 kernels.  I've tried 3 different systems and the 5.16.20 kernel works fine but with the 5.17 kernels I get dropped words/sentences, static, etc.  I'm testing with Zoom, a Plantronics 5220 headset, and Panasonic wired earbuds.

There are occasional messages like this for the Plantronics headset under 5.17.6:

May 23 13:44:43 draco kernel: usb 1-1.4: Warning! Unlikely big volume range (=1024), cval->res is probably wrong.

Comment 2 Mike Iglesias 2022-05-23 23:30:47 UTC
I forgot to mention that I'm on F35, on a Dell Optiplex 7010, a Lenovo ThinkPad, and a HP DC7800.

Comment 3 Jan Vlug 2022-05-24 06:28:56 UTC
I'm on Fedora 36 and the internal microphone of my laptop stopped working. I also tested briefly booting a previous 5.16 kernel, and I got the impression that the microphone did not work with that kernel as well any more.

Comment 4 Jan Vlug 2022-05-24 07:15:46 UTC
I did some more testing. I booted the oldest kernel I have still available. That is 5.17.6-300.fc36.x86_64. I have the problem with that kernel as well. Here is a list of dates of kernels that I have on my system:

-rwxr-xr-x. 1 root root 11798960 May  9 18:05 vmlinuz-5.17.6-300.fc36.x86_64
-rwxr-xr-x. 1 root root 11800752 May 12 17:30 vmlinuz-5.17.7-300.fc36.x86_64
-rwxr-xr-x. 1 root root 11803056 May 16 03:21 vmlinuz-5.17.8-300.fc36.x86_64

I am sure that the microphone worked still well yesterday morning (23 May). I did apply system updates yesterday, but I forgot if this was before or after my video call. Anyway, I think that this bug is not directly kernel related, but that one of the recent updates broke the microphone.

I tried to find which packages might be the culprit:
# dnf history info 1724 | grep alsa
    Upgrade  pipewire-alsa-0.3.51-2.fc36.x86_64                           @updates
    Upgraded pipewire-alsa-0.3.51-1.fc36.x86_64                           @@System

Unfortunately, I did not manage to do a dnf history rollback to see if going back before this update would solve the issue.

Comment 5 Jan Vlug 2022-05-24 08:13:43 UTC
In GNOME settings, I do see the microphone working (I see the red bars moving when speaking, see screenshot), but in gnome-sound-recorder (Sound Recorder) the input sound indicator is flat.

As a test I reverted to pipewire-alsa.x86_64 0.3.49-1.fc36, but that did not solve anything.

Comment 6 Jan Vlug 2022-05-24 08:14:36 UTC
Created attachment 1882581 [details]
Screenshot of Input Device that detects sound

Comment 7 Helio Victor 2022-05-29 13:23:36 UTC
For voice recorder it recognizes it but for the system it doesn't.

Comment 8 Jan Vlug 2022-05-31 18:18:20 UTC
I discovered that the microphone does work with Signal, that I installed as a flatpak. However, with GNOME Sound Recorder, and Microsoft Teams (also installed as a flatpak) the microphone does not work.

Comment 9 Mike Iglesias 2022-06-06 17:56:13 UTC
One of the systems I'm having trouble with was upgraded from F34 to F35 in mid-April and it still had some F34 kernels on it.  I booted F34 5.16.17 and it worked better in that the things I was saying were not cut off or dropped entirely.  There was background noise/static though.

Two of the systems are dual boot Win 10/Fedora 35 and the microphone works fine in Windows but not in Fedora so that probably eliminates the hardware as the issue.

On another system I reverted to pulseaudio from pipewire but that didn't help - still dropped words/sentences.

Comment 10 Jan Vlug 2022-06-06 21:01:25 UTC
This issue "resolved itself" for me. The microphone is working again. This probably happened after some updates.

Comment 11 Ben Cotton 2023-04-25 17:13:17 UTC
This message is a reminder that Fedora Linux 36 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora Linux 36 on 2023-05-16.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
'version' of '36'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, change the 'version' 
to a later Fedora Linux version. Note that the version field may be hidden.
Click the "Show advanced fields" button if you do not see it.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora Linux 36 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora Linux, you are encouraged to change the 'version' to a later version
prior to this bug being closed.

Comment 12 Ludek Smid 2023-05-25 17:04:43 UTC
Fedora Linux 36 entered end-of-life (EOL) status on 2023-05-16.

Fedora Linux 36 is no longer maintained, which means that it
will not receive any further security or bug fix updates. As a result we
are closing this bug.

If you can reproduce this bug against a currently maintained version of Fedora Linux
please feel free to reopen this bug against that version. Note that the version
field may be hidden. Click the "Show advanced fields" button if you do not see
the version field.

If you are unable to reopen this bug, please file a new report against an
active release.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.